/***************************************** FWFiles *****************************************/

.fw-files__button {
    height: 25px;
    width: 15px;
    border: none;
	border-radius: 25px;
    text-transform: uppercase;
    font-weight: bold;
    padding: 0 .3rem;
    cursor: pointer;
    align-content: center;
    text-align: center;
    background-color: var(--md-sys-color-primary);
}
.fw-files__button::after {
    font-family: 'Material Symbols Outlined';
    font-weight: normal;
    font-style: normal;
    font-size: 21px;
    content: "add";
    color: var(--md-sys-color-on-primary);
    right: 3px;
    position: relative;	
}
.fw-files__button:hover {
	opacity: .8;
}
/***************************************** FWDatePicker *****************************************/
.fw-date-picker__toggle {
	display: inline-block;
	position: relative;
	width: 18px;
	height: 19px;
}
.fw-date-picker__toggle:before {
	font-family: 'Material Symbols Outlined';
	font-weight: normal;
	font-style: normal;
	letter-spacing: normal;
	text-transform: none;
	display: inline-block;
	white-space: nowrap;
	word-wrap: normal;
	direction: ltr;
	-webkit-font-feature-settings: 'liga';
	font-feature-settings: 'liga';
	-webkit-font-smoothing: antialiased;
	
	font-size: 25px;
	line-height: 1;
	content: "calendar_month";
	position:absolute;
}
.fw-date-picker {
	position: absolute;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	opacity: 0;
	cursor: pointer;
	box-sizing: border-box;
}
.fw-date__input {
	width: 100%;
    border: 0 solid silver;
    border-width: 0 0 1px 0;
    font-size: 14px;
    padding-bottom: 5px;
}
.fw-date-picker__my-selector .fw-radio-button {
	border-radius: 0;
	width: 120px;
}
.fw-date-picker__my-selector {
	position: absolute;
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 5px;
    border: 1px solid silver;
    padding: 12px;
    background: white;
    z-index: 10002;
}
.fw-date-picker__my-selector a {
	display: block;
    text-align: right;
    grid-column: span 2;
    padding-right: 5px;
    padding-top: 5px;
    text-transform: uppercase;
    cursor: pointer;
    font-size: 14px;
}
/***************************************** FWToggleButton *****************************************/
.fw-buttonset {
    display: flex;
    flex-direction: column;
}
.fw-radio-button {
   	border: 1px solid silver;
    display: block;
/*     width: 100%; */
    padding: 10px 0;
/*     text-align: center; */
    border-radius: 5px;
   	margin: 0px 2px;
   	padding-left: 35px;
   	padding-right: 10px;
}
.fw-radio-button.selected {
    background: var(--rstech-view-header);
    color: white;
    font-weight: bold;
    display: flex;
    align-items: center;
    padding: 7px 0;
    padding-right: 10px;
}
.fw-radio-button.selected:before {
	font-family: 'Material Symbols Outlined';
    font-weight: normal;
    font-style: normal;
    font-size: 24px;
    line-height: 1;
    letter-spacing: normal;
    text-transform: none;
    display: inline-block;
    white-space: nowrap;
    word-wrap: normal;
    direction: ltr;
    -webkit-font-feature-settings: 'liga';
   	font-feature-settings: 'liga';
    -webkit-font-smoothing: antialiased;
    content: attr(data-icon);
    width: 35px;
    min-width: 35px;
    color: var(--rstech-left-sidebar-text);
	content: "check";	
}
.fw-radio-button input {
	border: 0;
    border-bottom: 1px solid silver;
    color: var(--rstech-wsdefault-text);
    font-size: 1em;
    font-style: italic;
    width: 100%;
}
.fw-radio-button.selected input {
	background: transparent;
    border: 0;
    border-bottom: 1px solid silver;
    color: white;
    font-size: 1em;
    font-style: italic;
}
.fw-radio-button.disabled{
	color: silver;
    opacity: 50%;
}
/***************************************** FWToggleSwitch *****************************************/
.fw-toggle-switch {
	position: relative;
	background-color: #ccc;
	width: 60px;
	height: 34px;
	-webkit-appearance: initial;
	appearance: initial;
	cursor: pointer;
	border-radius: 34px;
}
.fw-toggle-switch:before {
	position: absolute;
	top: 12%;
	width: 26px;
	height: 26px;
	background-color: white;
	-webkit-transition: .4s;
/* 	transition: .4s; */
	transition: all 0.3s ease-in 0s;
	border-radius: 50%;
}
.fw-toggle-switch:before {
	left: 7%;
	content: "";
}
.fw-toggle-switch:checked {
	background-color: #2196F3;
}

.fw-toggle-switch:focus {
	box-shadow: 0 0 1px #2196F3;
}
.fw-toggle-switch:checked:before {
	-webkit-transform: translateX(26px);
	-ms-transform: translateX(26px);
	transform: translateX(26px);
}
/***************************************** FWChecklist *****************************************/
.fw-checklist-item {
	display: grid;
	grid-template-columns: 1fr 1fr;
	align-items: center;
	padding: 5px 0;
}
.fw-checklist-item .fw-checklist_item-button.other{
	color: #8B7676;
    font-weight: bold;
    border: none;
    box-shadow: none;
}
.fw-checklist-overrides {
	display: grid;
    grid-template-columns: 1fr 1fr;
    justify-content: space-evenly;
}
.fw-checklist_override-button {
	
}

